Bug 928982 - Bootloader install fails on UEFI install to clean VM: "failed to set new efi boot target"
Summary: Bootloader install fails on UEFI install to clean VM: "failed to set new efi ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F19Alpha, F19AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2013-03-28 22:29 UTC by Adam Williamson
Modified: 2013-04-11 03:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-05 20:58:06 UTC
Type: Bug


Attachments (Terms of Use)
traceback (310.67 KB, text/plain)
2013-03-28 22:33 UTC, Adam Williamson
no flags Details
anaconda.log (10.76 KB, text/plain)
2013-03-28 22:34 UTC, Adam Williamson
no flags Details
ifcfg.log (486 bytes, text/plain)
2013-03-28 22:36 UTC, Adam Williamson
no flags Details
packaging.log (164 bytes, text/plain)
2013-03-28 22:36 UTC, Adam Williamson
no flags Details
program.log (27.13 KB, text/plain)
2013-03-28 22:37 UTC, Adam Williamson
no flags Details
storage.log (137.40 KB, text/plain)
2013-03-28 22:38 UTC, Adam Williamson
no flags Details
storage.state (28.00 KB, text/plain)
2013-03-28 22:38 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2013-03-28 22:29:24 UTC
Manual filing of a tb as libreport is broken at present. Will attach all log files. 

I was attempting to install F19 Alpha TC2 desktop live to a freshly-created UEFI-based VM, created following Cole's instructions here:

https://fedoraproject.org/wiki/Testing_secureboot_with_KVM

install gets all the way to bootloader installation, then crashes. The target disk would have been entirely empty. I first tried to select custom partitioning (and got dumped back to hub, as is a known bug), then went back through disk selection and picked automatic partitioning.

tb:

anaconda 19.13 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1666,
 in add_efi_boot_target
    raise BootLoaderError("failed to set new efi boot target")
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1671, in install
    self.add_efi_boot_target()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1690, in write
    self.install()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 2246, in writeBootLoader
    storage.bootloader.write()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 143, in doInstall
    writeBootLoader(storage, payload, instClass, ksdata)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 141, in run
    threading.Thread.run(self, *args, **kwargs)
BootLoaderError: failed to set new efi boot target

Comment 1 Adam Williamson 2013-03-28 22:33:52 UTC
Created attachment 717869 [details]
traceback

Comment 2 Adam Williamson 2013-03-28 22:34:10 UTC
Created attachment 717870 [details]
anaconda.log

Comment 3 Adam Williamson 2013-03-28 22:36:22 UTC
Created attachment 717871 [details]
ifcfg.log

Comment 4 Adam Williamson 2013-03-28 22:36:45 UTC
Created attachment 717872 [details]
packaging.log

Comment 5 Adam Williamson 2013-03-28 22:37:42 UTC
Created attachment 717873 [details]
program.log

Comment 6 Adam Williamson 2013-03-28 22:38:07 UTC
Created attachment 717874 [details]
storage.log

Comment 7 Adam Williamson 2013-03-28 22:38:50 UTC
Created attachment 717875 [details]
storage.state

Comment 8 Adam Williamson 2013-03-28 22:40:31 UTC
Proposing as an Alpha blocker:

https://fedoraproject.org/wiki/Fedora_19_Alpha_Release_Criteria#Installation_interfaces

"When using the dedicated installer images, the installer must be able to complete an installation using the text, graphical and VNC installation interfaces."

"This criterion covers showstopper bugs in the installer for which there isn't any other specific criterion: obviously, it can't 'complete an installation' if there's a showstopper."

Comment 9 Adam Williamson 2013-03-28 23:15:49 UTC
I just checked that F18 final desktop live installs fine in the same VM config, so this isn't just some kind of bug in the UEFI VM.

Comment 10 Chris Lumens 2013-04-01 14:33:41 UTC
18:02:14,568 INFO program: Running... efibootmgr -c -w -L Fedora -d /dev/vda -p 1 -l \EFI\fedora\shim.efi
18:02:14,613 INFO program: Fatal: Couldn't open either sysfs or procfs directories for accessing EFI variables.
18:02:14,614 INFO program: Try 'modprobe efivars' as root.
18:02:14,615 DEBUG program: Return code: 1

Comment 11 Adam Williamson 2013-04-02 16:06:15 UTC
could this be related to the bug about missing directories in the install root? https://bugzilla.redhat.com/show_bug.cgi?id=922988

Comment 12 Adam Williamson 2013-04-03 17:27:43 UTC
Discussed at 2013-04-03 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-04-03/f19alpha-blocker-review-4.2013-04-03-16.01.log.txt . Accepted as a blocker per criterion "When using the dedicated installer images, the installer must be able to complete an installation using the text, graphical and VNC installation interfaces." in the case of a UEFI install.

Comment 13 Adam Williamson 2013-04-05 20:58:06 UTC
This seems to be fixed in TC5, the efibootmgr command succeeds. The created EFI boot manager entry never actually seems to be used, but I suspect that's a flaw in the UEFI firmware itself, I'll have to talk to the virt folks about it. I'll confirm on bare metal, but I'm going to mark this as CLOSED for now.


Note You need to log in before you can comment on or make changes to this bug.